Imports CharterDotCom.CommonEntities.Library.Enumerations

Public Interface IAffiliateOrder

  ReadOnly Property Confirmations() As List(Of IAffiliateOrderConfirmation)

  Public Interface IAffiliateOrderConfirmation
    ReadOnly Property Confirmation() As IConfirmation
    ReadOnly Property Schedules() As IAffiliateSchedule
    ReadOnly Property Appointment() As IAffiliateAppointment
    ReadOnly Property ConfirmationCategory() As Category
  End Interface

  Public Interface IAffiliateSchedule
    ReadOnly Property Type() As ScheduleType
    ReadOnly Property ScheduleWindow() As Dictionary(Of String, IAffiliateScheduleWindow)
  End Interface

  Public Interface IAffiliateScheduleWindow
    ReadOnly Property ID() As String
    ReadOnly Property ScheduleDate() As String
    ReadOnly Property StartTime() As String
    ReadOnly Property EndTime() As String
    ReadOnly Property IsSelected() As Boolean
  End Interface

  Public Interface IAffiliateAppointment
    ReadOnly Property Confirmation() As IConfirmation
    ReadOnly Property InstallDate() As String
    ReadOnly Property StartTime() As String
    ReadOnly Property EndTime() As String
  End Interface

End Interface

'Public Interface IConfirmation
'  ReadOnly Property Number() As String
'  ReadOnly Property Message() As String
'End Interface